<?php

namespace Drupal\metatag_search_gov\Plugin;

use Drupal\metatag\Plugin\metatag\Tag\MetaNameBase;

class SearchCustomBase extends MetaNameBase {

  public function output(): array {
    $elements = [];
    $value = $this->value;
    $values = explode($this->getSeparator(), $this->value);
    if (!is_array($values)) {
      $values = [$values];
    }
    foreach ($values as $key => &$value) {
      $value = $this->tidy($value);
      $value = $this->trimValue($value);
      $value = strip_tags($value);
      if (empty($value)) {
        // the vlaue ended up empty, drop it
        unset($values[$key]);
        continue;
      }
    }
    if (!empty($values)) {
      // we have values for the element, create the element
      $elements[] = [
        '#tag' => $this->htmlTag,
        '#attributes' => [
          $this->htmlNameAttribute => $this->name,
          $this->htmlValueAttribute => implode(', ', $values),
        ],
      ];
    }
    return $elements;

  }

}
